// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({
  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '比赛管理', leftArrow: false, useBar: true },
    // 主体高度
    infoHeight: '',
    background: '/image/bisai.png',
    match: '/image/chuangjian.png',
    black: '/image/hei.png',
    //进行中数据
    conduct: [],
    //未开始数据
    nostart: [],
    //已结束数据
    complete: [],
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  // 跳转菜单
  tabPath(e) {
    let { route } = e.detail.detail;
    if (route) wx.redirectTo({ url: `/${route}` })
  },
  //跳转详情
  tiao: function (e) {
    let { id, type } = e.currentTarget.dataset;
    if (type == 1) wx.navigateTo({ url: `/pages/list/index?id=${id}` })
    else wx.navigateTo({ url: `/pages/match/detail?id=${id}` })
  },
  //跳转页面
  jump(e) {
    let { type } = e.currentTarget.dataset;
    if (type) wx.navigateTo({ url: `/pages/${type}/index` })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 监听用户是否登录
    this.watchLogin();
    // 计算高度
    this.searchHeight();
  },

  // 监听用户是否登录
  watchLogin: async function () {
    const that = this;
    wx.getStorage({
      key: 'token',
      success: async res => {
        const arr = await app.$get('/courtAdmin/api/match');
        if (arr.errcode === 0) {
          let datastart = arr.data.filter((i) => i.status == '2');
          let datas = arr.data.filter((i) => i.status == '3');
          let dataend = arr.data.filter((i) => i.status == '4');
          for (const val of datas) {
            if (val.status == '3') {
              const aee = await app.$get('/courtAdmin/api/schedule', { match_id: val._id });
              if (aee.errcode === 0) val.schedulelist = aee.data;
            }
          }
          that.setData({ conduct: datas, nostart: datastart, complete: dataend })
        }
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 是否去掉状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },


  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})